# toe 1m

    toe(1m)                                                         toe(1m)

## NAME

           toe - table of (terminfo) entries

## SYNOPSIS

           toe [-v[n]] [-ahuUV] file...

## DESCRIPTION

           With no options, toe lists all available terminal types by
           primary name with descriptions.   File  arguments  specify
           the  directories  to  be scanned; if no such arguments are
           given, your default terminfo directory is scanned.  If you
           also  specify  the  -h  option, a directory header will be
           issued as each directory is entered.

           There are other options intended for use by terminfo  file
           maintainers:

           -a     report  on  all  of  the  terminal  databases which
                  ncurses would search, rather than  only  the  first
                  one that it finds.

           -u file
                  says to issue a report on dependencies in the given
                  file. This report  condenses  the  `use'  relation:
                  each  line consists of the primary name of a termi-
                  nal that has use capabilities, followed by a colon,
                  followed  by the whitespace-separated primary names
                  of all terminals which occur in those use capabili-
                  ties, followed by a newline

           -U file
                  says  to  issue a report on reverse dependencies in
                  the given file.  This  report  reverses  the  `use'
                  relation: each line consists of the primary name of
                  a terminal that occurs in  use  capabilities,  fol-
                  lowed  by a colon, followed by the whitespace-sepa-
                  rated primary names of all terminals  which  depend
                  on it, followed by a newline.

           -vn    specifies that (verbose) output be written to stan-
                  dard error, showing toe's progress.   The  optional
                  parameter  n  is a number from 1 to 10, interpreted
                  as for tic(1).

           -V     reports the version of ncurses which  was  used  in
                  this program, and exits.

## FILES

           /usr/share/terminfo/?/*
                Compiled terminal description database.

## SEE ALSO

           tic(1m),    infocmp(1m),   captoinfo(1m),   infotocap(1m),
           curses(3x), terminfo(5).

           This describes ncurses version 5.5 (patch 20061209).

                                                                    toe(1m)